package com.yida.data.device.studentCard.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.card.EduStudentCardPhone;
import java.util.List;

/**
 * 电子学生证关联电话 Service接口
 *
 * @author zhanghaijun
 * @date 2021-08-05 09:52:38
 */
public interface EduStudentCardPhoneService extends IService<EduStudentCardPhone> {

    /**
     * 更新设备关联号码信息
     */
    void updateDevicePhone(String imei);

    /**
     * 保存电话
     */
    void savePhone(EduStudentCardPhone phone);

    /**
     * 删除电话
     *
     * @param id
     */
    void delPhone(Long id);

    /**
     * 批量修改关联号码
     *
     * @param phones
     * @param type
     * @param imei
     */
    void updatePhoneBatch(List<EduStudentCardPhone> phones, Integer type, String imei);


}
